Bug 1400468 (CVE-2016-9756) - CVE-2016-9756 Kernel: kvm: stack memory information leakage
Summary: CVE-2016-9756 Kernel: kvm: stack memory information leakage
Status: CLOSED WONTFIX
Alias: CVE-2016-9756
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=low,public=20161122,reported=2...
Keywords: Security
Depends On: 1400469
Blocks: 1398088
TreeView+ depends on / blocked
 
Reported: 2016-12-01 10:13 UTC by Prasad J Pandit
Modified: 2019-06-08 21:37 UTC (History)
30 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2019-06-08 03:02:53 UTC


Attachments (Terms of Use)

Description Prasad J Pandit 2016-12-01 10:13:49 UTC
Linux kernel built with the Kernel-based Virtual Machine(CONFIG_KVM) support
is vulnerable to an information leakage issue. It could occur on x86 platform,
while emulating instructions in 32bit mode.

A user/process could use this flaw to leak host kernel memory bytes.

Upstream patch:
---------------
  -> https://git.kernel.org/linus/2117d5398c81554fbf803f5fd1dc55eb78216c0c

Reference:
----------
  -> http://www.openwall.com/lists/oss-security/2016/12/01/1

Comment 1 Prasad J Pandit 2016-12-01 10:14:58 UTC
Created kernel tracking bugs for this issue:

Affects: fedora-all [bug 1400469]

Comment 2 Prasad J Pandit 2016-12-01 10:30:32 UTC
Statement:

This issue does not affect the versions of the kernel package as shipped with
Red Hat Enterprise Linux 5, 6 and Red Hat Enterprise MRG 2.

This issue affects the version of Linux kernel as shipped with Red Hat Enterprise
Linux 7.

This has been rated as having Low security impact and is not currently planned
to be addressed in future updates. For additional information, refer to the
Red Hat Enterprise Linux Life Cycle:
  -> https://access.redhat.com/support/policy/updates/errata/


Note You need to log in before you can comment on or make changes to this bug.